/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.386 Revision 1.478
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.478 2010/12/31 15:02:50 graaff Exp $
4
5 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
6 ruby-1.9.2.ebuild:
7 Remove PROVIDE for old-style virtual/ruby per bug 265054.
8
9 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
10 Remove masked ruby 1.8.6 per bug 332597.
11
12 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
13 -ruby-1.9.2_rc2.ebuild:
14 Removing old and vulnerable ebuilds
15
16 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
17 Marking ruby-1.8.7_p302 ppc64 for bug 332957
18
19 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
20 alpha/ia64/s390/sh/sparc stable wrt #332957
21
22*ruby-1.9.2 (24 Aug 2010)
23
24 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
25 metadata.xml:
26 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
27 and x86-fbsd due to a new dependency on rdoc.
28
29 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
30 arm stable, bug #332957
31
32 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
33 ruby-1.8.7_p302.ebuild:
34 x86 stable wrt security bug #332957
35
36 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
37 Stable on amd64 wrt bug #332957
38
39 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
40 Stable for PPC (bug #332957).
41
42 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
43 Stable for HPPA (bug #332957).
44
45*ruby-1.8.7_p302 (21 Aug 2010)
46
47 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
48 +ruby-1.8.7_p302.ebuild:
49 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
50 installation path.
51
52*ruby-1.8.6_p399 (19 Aug 2010)
53
54 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
55 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
56 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
57 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
58 installation path (reported by the x86 team in bug 332597)
59
60*ruby-1.9.2_rc2-r1 (18 Aug 2010)
61
62 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
63 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
64 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
65 the rubygems loading code. Add USE flag for psych.
66
67 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
68 ruby-1.9.2_rc2.ebuild:
69 Remove two keepdir that will try to keep an empty path, closes bug
70 #333163.
71
72 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
73 Marked ~ppc (bug #332593).
74
75 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
76 ruby-1.9.2_rc2.ebuild:
77 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
78
79 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
80 ruby-1.8.7_p299.ebuild:
81 Bump eselect-ruby dependency
82
83 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
84 -ruby-1.9.1_p429.ebuild:
85 Remove ebuild that is not target for unmask anyway.
86
87 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
88 ruby-1.9.2_rc2.ebuild:
89 Try 2 to fix the berkdb 5 issue on 1.9.
90
91 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
92 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
93 ruby-1.9.2_rc2.ebuild:
94 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
95 support for adding new patchsets without bumping the revision for all the
96 old ebuilds as well.
97
98*ruby-1.9.2_rc2 (14 Jul 2010)
99
100 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
101 +ruby-1.9.2_rc2.ebuild:
102 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
103 might cause _further_ build failures as it changed slightly behaviour.
104 You're going to need to rebuild rubygems and then all the packages
105 previously installed after upgrading to this.
106
107 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
108 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
109 -ruby-1.9.1_p376.ebuild:
110 Cleanup old versions.
111
112*ruby-1.9.1_p429 (04 Jul 2010)
113
114 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
115 +ruby-1.9.1_p429.ebuild:
116 Version bump to new 1.9.1 release.
117
118*ruby-1.8.7_p299 (23 Jun 2010)
119
120 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
121 +ruby-1.8.7_p299.ebuild:
122 Version bump.
123
124 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
125 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
126 remove useless comments
127
128 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
129 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
130 ruby-1.9.1_p376.ebuild:
131 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
132 dev.gentoo.org now.
133
134 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
135 ruby-1.9.1_p376.ebuild:
136 Use the correct RUBYLIB.
137
138*ruby-1.8.7_p249-r2 (18 May 2010)
139*ruby-1.8.6_p388-r1 (18 May 2010)
140
141 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
142 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
143 ruby-1.9.1_p376.ebuild, metadata.xml:
144 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
145 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
146 add USE flags for ncurses, readline and libedit, and properly depend on
147 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
148 Emacs versions support ruby-mode themselves and it should be even more
149 updated.
150
151*ruby-1.8.7_p249-r1 (06 May 2010)
152
153 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
154 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
155 309789 by Sune Kloppenborg Jeppesen.
156
157 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
158 ruby-1.8.7_p249.ebuild:
159 Use $PVR instead of $PV in patchset names
160
161 06 May 2010; Alex Legler <a3li@gentoo.org>
162 -files/ruby-1.8.6-memory-leak.diff,
163 -files/ruby18-mkmf-parallel-install.patch,
164 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
165 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
166 Remove old version. Cleanup in files/
167
168*ruby-1.9.1_p376 (01 May 2010)
169
170 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
171 Version bump. Fixes security bugs 296052 and 300468. No longer installs
172 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
173 instead.
174
175 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
176 -ruby-1.8.7_p174-r1.ebuild:
177 Remove vulnerable ebuilds, 300468
178
179 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
180 ruby-1.8.7_p249.ebuild:
181 amd64 stable, security bug 300468
182
183 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
184 ruby-1.8.7_p249.ebuild:
185 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
186
187 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
188 Stable for HPPA (bug #300468).
189
190 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
191 Stable for HPPA (bug #300468).
192
193 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
194 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
195
196 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
197 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
198
199 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
200 ruby-1.8.6_p388.ebuild:
201 stable x86, security bug 300468
202
203 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
204 ruby-1.8.7_p249.ebuild:
205 stable x86, security bug 300468
206
207*ruby-1.8.6_p388 (10 Jan 2010)
208
209 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
210 +ruby-1.8.6_p388.ebuild:
211 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
212 version. The new ebuild also has the fix for bug 168939.
213
214*ruby-1.8.7_p249 (10 Jan 2010)
215
216 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
217 +ruby-1.8.7_p249.ebuild:
218 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
219 version
220
221 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
222 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
223
224*ruby-1.8.7_p248 (25 Dec 2009)
225
226 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
227 Version bump
228
229 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
230 Remove old version.
231
232 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
233 Remove old version.
234
235 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
236 ia64/s390/sh stable wrt #288699
237
238 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
239 stable sparc, bug 288699
240
241 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
242 arm stable, bug #288699
243
244 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
245 amd64/x86 stable, bug #288699
246
247 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
248 ruby-1.8.7_p174-r1.ebuild:
249 Stable on alpha, bug #288699
250
251 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
252 ppc stable #288699
253
254 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
255 Stable for HPPA (bug #288699).
256
257 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
258 Marked ~hppa too.
259
260*ruby-1.8.7_p174-r1 (06 Oct 2009)
261
262 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
263 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
264 eselect-ruby cleanup feature.
265
266*ruby-1.9.1_p243 (09 Sep 2009)
267
268 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
269 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
270 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
271 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
272 -files/ruby19-rubygems-proxy.patch,
273 -files/ruby-1.9.1_p129-parallelmake.patch,
274 -files/ruby19-mkmf-parallel-install.patch:
275 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
276 168939. Cleaning up old patches.
277
278*ruby-1.8.6_p383 (20 Aug 2009)
279
280 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
281 Patchlevel bump.
282
283 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
284 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
285 ruby-1.9.1_p129-r1.ebuild:
286 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
287
288 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
289 Removing vulnerable ebuild, bug 273213.
290
291 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
292 Marking ruby-1.8.6_p369 ppc for bug 273213
293
294 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
295 ruby-1.9.1_p129-r1.ebuild:
296 Prepend our library path instead of overwriting it during src_install.
297 Thanks to the reporter of bug #274824.
298
299*ruby-1.8.7_p174 (18 Jun 2009)
300
301 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
302 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
303 Replacing 187_p173 with _p174 because of a regression. Unifying the
304 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
305 patchsets.
306
307 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
308 Marking ruby-1.8.6_p369 ppc64 for bug 273213
309
310 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
311 arm/ia64/s390/sh/sparc stable wrt #273213
312
313 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
314 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
315 Removing old version, minor cleanup
316
317 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
318 -files/ruby-1.8.6-openssl.patch,
319 -files/ruby-1.8.6-shortname_constants.patch,
320 -files/ruby-1.8.6_p111-r13657.patch,
321 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
322 Removing vulnerable old Ruby version and stale patches, bug 274108.
323
324 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
325 ruby-1.8.6_p369.ebuild:
326 Stable on alpha, bug #273213
327
328 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
329 Stable for HPPA (bug #273213).
330
331 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
332 ruby-1.8.6_p369.ebuild:
333 stable x86, security bug 273213
334
335 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
336 amd64 stable, security bug 273213.
337
338*ruby-1.8.7_p173 (10 Jun 2009)
339*ruby-1.8.6_p369 (10 Jun 2009)
340
341 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
342 +ruby-1.8.7_p173.ebuild:
343 Version bumps for bug #273213.
344
345*ruby-1.9.1_p129-r1 (27 May 2009)
346
347 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
348 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
349 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
350 +files/ruby-1.9.1_p129-parallelmake.patch:
351 Revision bump, add patches 1) to make Ruby behave more similarly between
352 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
353 extensions (undefined symbols in them will cause abort at runtime 3) to
354 remove a concurrency issue when building the dl extension that could
355 result in a broken dl.so.
356
357 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
358 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
359 Don't block rdoc-2 or later (which may enter Portage one day as it's
360 needed by some Rakefiles).
361
362 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
363 ruby-1.9.1_p129.ebuild:
364 Add ~x86-fbsd keyword.
365
366 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
367 keyword ~sparc-fbsd, bug #252315
368
369*ruby-1.9.1_p129 (15 May 2009)
370
371 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
372 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
373 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
374 included in every release.
375
376 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
377 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
378 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
379 ruby-1.8.7_p160.ebuild:
380 Removing vulnerable versions (#268515), fixing license (#233747).
381
382 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
383 Stable for HPPA (bug #268515).
384
385 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
386 Adapting rubygems notice.
387
388 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
389 amd64 stable, bug #268515.
390
391 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
392 arm/ia64/s390/sh/sparc stable wrt #268515
393
394 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
395 ruby-1.8.6_p368.ebuild:
396 stable x86, security bug 268515
397
398 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
399 ruby-1.8.6_p368.ebuild:
400 Stable on alpha, bug #268515
401
402 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
403 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
404
405*ruby-1.8.7_p160 (07 May 2009)
406*ruby-1.8.6_p368 (07 May 2009)
407
408 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
409 +ruby-1.8.7_p160.ebuild:
410 Version bump as per secbug 268515. NB: These are the first ebuilds that
411 no longer use ruby-config.
412
413*ruby-1.9.1-r1 (03 Apr 2009)
414*ruby-1.8.7_p72-r11 (03 Apr 2009)
415*ruby-1.8.6_p287-r13 (03 Apr 2009)
416
417 03 Apr 2009; Alex Legler <a3li@gentoo.org>
418 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
419 +files/ruby18-mkmf-parallel-install.patch,
420 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
421 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
422 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
423 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
424 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
425 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
426 happy.
427
428*ruby-1.9.1 (21 Mar 2009)
429
430 21 Mar 2009; Alex Legler <a3li@gentoo.org>
431 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
432 +ruby-1.9.1.ebuild:
433 Adding Ruby 1.9.1 for preliminary testing
434
435 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
436 ruby-1.8.6_p287-r12.ebuild:
437 Marked ~ppc for bug #252315.
4 438
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild: 439 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes 440 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982. 441 bug 261982.
8 442

Legend:
Removed from v.1.386  
changed lines
  Added in v.1.478

  ViewVC Help
Powered by ViewVC 1.1.20